ParameterType (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: ParameterType

Package org.apache.geode.cache.configuration

# Class ParameterType

java.lang.Object
org.apache.geode.cache.configuration.ObjectType
org.apache.geode.cache.configuration.ParameterType

All Implemented Interfaces:
  `Serializable`

@Experimental public class ParameterType extends ObjectType
A "parameter" element describes a parameter used to initialize a Declarable object.

Java class for parameter-type complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="parameter-type">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="string" type="{http://geode.apache.org/schema/cache}string-type"/>
             <element name="declarable" type="{http://geode.apache.org/schema/cache}declarable-type"/>
           </choice>
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

This represents a key/value pair, name is the key, another string or object is the value

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `name`

  ### Fields inherited from class org.apache.geode.cache.configuration.ObjectType

  `declarable, string`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParameterType()`
  `ParameterType(String name)`
  `ParameterType(String name, String value)`
  `ParameterType(String name, DeclarableType declarableType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getName()`
  Gets the value of the name property.
  `int`
  `hashCode()`
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `String`
  `toString()`

  ### Methods inherited from class org.apache.geode.cache.configuration.ObjectType

  `getDeclarable, getString, setDeclarable, setString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

- ## Constructor Details

  - ### ParameterType

    public ParameterType()

  - ### ParameterType

    public ParameterType(String name)

  - ### ParameterType

    public ParameterType(String name, String value)

  - ### ParameterType

    public ParameterType(String name, DeclarableType declarableType)

- ## Method Details

  - ### getName

    public String getName()
    Gets the value of the name property. possible object is `String`
    Returns:
      the name.

  - ### setName

    public void setName(String value)
    Sets the value of the name property. allowed object is `String`
    Parameters:
      `value` - the name.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `ObjectType`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ObjectType`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ObjectType`